GET

/api/v1/exchanges/currency_rates

Permission: NONESecurity: NONE

Returns trading rules, current market rates, and order limits for a specific trading pair on an exchange.

Query Parameters

market_codestring required

Unique exchange code (e.g. binance, okx). Use the Supported markets list endpoint to retrieve valid codes.

pairstring required

Trading pair in Quentrade format (e.g. BTC_ETH).

limit_typestring optional

Defines the type of trading limits returned based on the selected trading tool: 'bot' for DCA, Signal, and Grid Bots, or 'smart_trade' for SmartTrade limits.

Example Request

GETGET /api/v1/accounts/currency_rates?market_code=binance&pair=BTC_ETH

Response Parameters

laststring

Last executed trade price.

bidstring

Current highest buying price (best bid).

askstring

Current lowest selling price (best ask).

orderbook_askstring

Ask price of ticker from the orderbook.

orderbook_bidstring

Bid price of ticker from the orderbook.

orderbook_laststring

Last price of ticker from the orderbook.

orderbook_price_currencystring

Quote currency ticker used for orderbook pricing (e.g. USDT).

strategy_namestring

The name of the pricing strategy applied.

contract_strategy_namestring

The strategy by which contract prices are computed.

instrumentKindstring

The type of market instrument (e.g. spot, futures).

minPricestring

Minimum allowed order price.

maxPricestring

Maximum allowed order price.

priceStepstring

Minimum price increment / tick size.

minLotSizestring

Minimum order lot size in Base currency.

lotStepstring

Lot size increment step in Base currency.

maxMarketBuyAmountstring

Maximum order amount in Base currency for market buy.

maxMarketSellAmountstring

Maximum order amount in Base currency for market sell.

bidMultiplierDownstring

Multiplier applied to decrease the bid price.

bidMultiplierUpstring

Multiplier applied to increase the bid price.

askMultiplierUpstring

Multiplier applied to increase the ask price.

askMultiplierDownstring

Multiplier applied to decrease the ask price.

minTotalstring

Minimum allowed order total in Quote currency.

minMarketTotalstring

Minimum allowed market order total in Quote currency.

maxTotalstring

Maximum allowed order total in Quote currency.

maxLotSizestring

Maximum allowed lot size in Base currency.

Example Responses

currency_rates_response.json
200 OK
{
  "last": "63802.44",
  "bid": "63802.44",
  "ask": "63802.45",
  "orderbook_ask": "63802.45",
  "orderbook_bid": "63802.44",
  "orderbook_last": "63802.44",
  "orderbook_price_currency": "USDT",
  "strategy_name": "orderbook_price",
  "contract_strategy_name": "orderbook_price",
  "instrumentKind": "spot",
  "minPrice": "0.01",
  "maxPrice": "1000000.0",
  "priceStep": "0.01",
  "minLotSize": "0.00001",
  "lotStep": "0.00001",
  "maxMarketBuyAmount": "121.22278732",
  "maxMarketSellAmount": "121.22278732",
  "bidMultiplierDown": "0.2",
  "bidMultiplierUp": "5.0",
  "askMultiplierUp": "5.0",
  "askMultiplierDown": "0.2",
  "minTotal": "5.0",
  "minMarketTotal": "5.0",
  "maxTotal": "9000000.0",
  "maxLotSize": "9000.0"
}